API Explorer 935 endpoints

Get Customer Overview Flat

POST /obp/v7.0.0/banks/BANK_ID/customers/customer-number-query/overview-flat

OBPv5.0.0-getCustomerOverviewFlat Roles: CanGetCustomerOverviewFlat(per bank) CustomerKYC

Gets the Customer Overview Flat specified by customer_number and bank_code.

User Authentication is Required. The User must be logged in. The Application must also be authenticated.

URL Parameters:

BANK_ID: gh.29.uk

JSON request body fields (1)
customer_number
5987953
JSON response body fields (31)
account_attribute_id
account_attributes
account_id
8ca8a7e4-6d02-40e3-a129-0b2bf89de9f0
account_routings
accounts
address
amount
10.12
balance
10
bank_id
gh.29.uk
branch_id
DERBY6
contract_code
contract_code
currency
EUR
customer_attribute_id
7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh
customer_attributes
customer_id
7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh
customer_number
5987953
date_of_birth
2018-03-09
email
felixsmith@example.com
label
My Account
legal_name
Eveline Tripman
mobile_phone_number
+49 30 901820
name
ACCOUNT_MANAGEMENT_FEE
name_suffix
Sr
product_code
1234BW
scheme
OBP
title
Dr.
type
value
5987953
contract_code
contract_code
contracts
contracts
payment_method
payment_method
Example request body
{
  "customer_number": "5987953"
}
Example success response
{
  "bank_id": "gh.29.uk",
  "customer_id": "7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh",
  "customer_number": "5987953",
  "legal_name": "Eveline Tripman",
  "mobile_phone_number": "+44 07972 444 876",
  "email": "felixsmith@example.com",
  "date_of_birth": "1100-01-01T00:00:00Z",
  "title": "Dr.",
  "branch_id": "DERBY6",
  "name_suffix": "Sr",
  "customer_attributes": [
    {
      "customer_attribute_id": "7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh",
      "name": "SPECIAL_TAX_NUMBER",
      "type": "STRING",
      "value": "123456789"
    }
  ],
  "accounts": [
    {
      "account_id": "8ca8a7e4-6d02-40e3-a129-0b2bf89de9f0",
      "label": "My Account",
      "product_code": "787LOW",
      "balance": {
        "currency": "EUR",
        "amount": "0"
      },
      "branch_id": "DERBY6",
      "contracts": [
        {
          "product_code": "787LOW",
          "contract_code": "LKJL98769F",
          "payment_method": "cache"
        }
      ],
      "account_routings": [
        {
          "scheme": "OBP",
          "address": "8ca8a7e4-6d02-40e3-a129-0b2bf89de9f0"
        }
      ],
      "account_attributes": [
        {
          "contract_code": "LKJL98769F",
          "product_code": "1234BW",
          "account_attribute_id": "613c83ea-80f9-4560-8404-b9cd4ec42a7f",
          "name": "OVERDRAFT_START_DATE",
          "type": "DATE_WITH_DAY",
          "value": "2012-04-23"
        }
      ]
    }
  ]
}
Possible errors (4)
  • OBP-20001: User not logged in. Authentication is required!
  • OBP-30008: User Customer Link not found by USER_ID
  • OBP-50000: Unknown Error.
  • OBP-20006: User is missing one or more roles:
Implemented by OBPv5.0.0 getCustomerOverviewFlat Originally /obp/v5.0.0/banks/BANK_ID/customers/customer-number-query/overview-flat